using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using RenovationWorkDataModels.Enums;
using RenovationWorkDataModels.Models;
using System.ComponentModel;


namespace RenovationWorkContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }
        public int? ImplementerId { get; set; } = null;
        public int ClientId { get; set; }
        [DisplayName("Клиент")]
        public string ClientFIO { get; set; } = string.Empty;
        public int RepairId { get; set; }
        [DisplayName("Изделие")]
        public string RepairName { get; set; } = string.Empty;
        [DisplayName("Количество")]
        public int Count { get; set; }
        [DisplayName("Сумма")]
        public double Sum { get; set; }
        [DisplayName("Статус")]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        [DisplayName("Исполнитель")]
        public string ImplementerFIO { get; set; } = string.Empty;
        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.Now;
        [DisplayName("Дата выполнения")]
        public DateTime? DateImplement { get; set; }
    }
}